complete -c bodhi-cli -n "__fish_use_subcommand" -l bodhi-url -d 'Manually specify bodhi server URL' -r
complete -c bodhi-cli -n "__fish_use_subcommand" -l login-url -d 'Manually specify OpenID endpoint URL' -r
complete -c bodhi-cli -n "__fish_use_subcommand" -l staging -d 'Use the fedora staging instance of bodhi'
complete -c bodhi-cli -n "__fish_use_subcommand" -s n -l no-store-password -d 'Don\'t store password in session keyring'
complete -c bodhi-cli -n "__fish_use_subcommand" -s k -l ignore-keyring -d 'Ignore password stored in session keyring'
complete -c bodhi-cli -n "__fish_use_subcommand" -s v -l verbose -d 'Make output more verbose'
complete -c bodhi-cli -n "__fish_use_subcommand" -s h -l help -d 'Print help (see more with \'--help\')'
complete -c bodhi-cli -n "__fish_use_subcommand" -f -a "comment" -d 'Comment on an update'
complete -c bodhi-cli -n "__fish_use_subcommand" -f -a "compose-info" -d 'Query bodhi for information about a compose'
complete -c bodhi-cli -n "__fish_use_subcommand" -f -a "compose-list" -d 'Query bodhi for running composes'
complete -c bodhi-cli -n "__fish_use_subcommand" -f -a "create-override" -d 'Create a new buildroot override'
complete -c bodhi-cli -n "__fish_use_subcommand" -f -a "create-update-override" -d 'Create buildroot overrides from an update'
complete -c bodhi-cli -n "__fish_use_subcommand" -f -a "create-update" -d 'Create a new update'
complete -c bodhi-cli -n "__fish_use_subcommand" -f -a "edit-override" -d 'Edit an existing buildroot override'
complete -c bodhi-cli -n "__fish_use_subcommand" -f -a "edit-update" -d 'Edit an existing update'
complete -c bodhi-cli -n "__fish_use_subcommand" -f -a "expire-override" -d 'Expire an existing buildroot override'
complete -c bodhi-cli -n "__fish_use_subcommand" -f -a "query-overrides" -d 'Query bodhi for buildroot overrides'
complete -c bodhi-cli -n "__fish_use_subcommand" -f -a "query-updates" -d 'Query bodhi for updates'
complete -c bodhi-cli -n "__fish_use_subcommand" -f -a "release-info" -d 'Query bodhi for information about a release'
complete -c bodhi-cli -n "__fish_use_subcommand" -f -a "release-list" -d 'Query bodhi for active releases'
complete -c bodhi-cli -n "__fish_use_subcommand" -f -a "update-request" -d 'Submit an update status request'
complete -c bodhi-cli -n "__fish_use_subcommand" -f -a "waive-tests" -d 'Waive an update\'s test results'
complete -c bodhi-cli -n "__fish_seen_subcommand_from comment" -l update -d 'ID of the update to comment on' -r
complete -c bodhi-cli -n "__fish_seen_subcommand_from comment" -l text -d 'Publicly visible comment text' -r
complete -c bodhi-cli -n "__fish_seen_subcommand_from comment" -l karma -d 'Karma submitted with this comment (-1/0/+1)' -r
complete -c bodhi-cli -n "__fish_seen_subcommand_from comment" -s h -l help -d 'Print help'
complete -c bodhi-cli -n "__fish_seen_subcommand_from compose-info" -l format -d 'Output format (plain, JSON)' -r
complete -c bodhi-cli -n "__fish_seen_subcommand_from compose-info" -s h -l help -d 'Print help'
complete -c bodhi-cli -n "__fish_seen_subcommand_from compose-list" -l format -d 'Output format (plain, JSON)' -r
complete -c bodhi-cli -n "__fish_seen_subcommand_from compose-list" -s h -l help -d 'Print help'
complete -c bodhi-cli -n "__fish_seen_subcommand_from create-override" -l duration -d 'duration (in days) it should be active' -r
complete -c bodhi-cli -n "__fish_seen_subcommand_from create-override" -l notes -d 'publicly visible notes' -r
complete -c bodhi-cli -n "__fish_seen_subcommand_from create-override" -s h -l help -d 'Print help'
complete -c bodhi-cli -n "__fish_seen_subcommand_from create-update-override" -l duration -d 'duration (in days) it should be active' -r
complete -c bodhi-cli -n "__fish_seen_subcommand_from create-update-override" -l notes -d 'publicly visible notes' -r
complete -c bodhi-cli -n "__fish_seen_subcommand_from create-update-override" -s h -l help -d 'Print help'
complete -c bodhi-cli -n "__fish_seen_subcommand_from create-update" -l autokarma -d 'Push to stable based on karma' -r -f -a "{true	'',false	''}"
complete -c bodhi-cli -n "__fish_seen_subcommand_from create-update" -l autotime -d 'Push to stable based on time' -r -f -a "{true	'',false	''}"
complete -c bodhi-cli -n "__fish_seen_subcommand_from create-update" -l bugs -d 'Bugs fixed by this update' -r
complete -c bodhi-cli -n "__fish_seen_subcommand_from create-update" -l builds -d 'Builds that are part of this update' -r
complete -c bodhi-cli -n "__fish_seen_subcommand_from create-update" -l close-bugs -d 'Close bugs when pushed to stable' -r -f -a "{true	'',false	''}"
complete -c bodhi-cli -n "__fish_seen_subcommand_from create-update" -l display-name -d 'Override displayed update name' -r
complete -c bodhi-cli -n "__fish_seen_subcommand_from create-update" -l from-tag -d 'Koji tag to create this update from' -r
complete -c bodhi-cli -n "__fish_seen_subcommand_from create-update" -l notes -d 'Publicly visible update notes' -r
complete -c bodhi-cli -n "__fish_seen_subcommand_from create-update" -l require-bugs -d 'Require bug feedback for karma to count' -r -f -a "{true	'',false	''}"
complete -c bodhi-cli -n "__fish_seen_subcommand_from create-update" -l require-testcases -d 'Require test case feedback for karma to count' -r -f -a "{true	'',false	''}"
complete -c bodhi-cli -n "__fish_seen_subcommand_from create-update" -l requirements -d 'List of required gating tests' -r
complete -c bodhi-cli -n "__fish_seen_subcommand_from create-update" -l severity -d 'Update severity' -r
complete -c bodhi-cli -n "__fish_seen_subcommand_from create-update" -l stable-days -d 'Days until it can be pushed to stable' -r
complete -c bodhi-cli -n "__fish_seen_subcommand_from create-update" -l stable-karma -d 'Karma until it can be pushed to stable' -r
complete -c bodhi-cli -n "__fish_seen_subcommand_from create-update" -l suggestion -d 'Logout / reboot suggestion' -r
complete -c bodhi-cli -n "__fish_seen_subcommand_from create-update" -l unstable-karma -d 'Karma until it will be unpushed' -r
complete -c bodhi-cli -n "__fish_seen_subcommand_from create-update" -l update-type -d 'Type of the update' -r
complete -c bodhi-cli -n "__fish_seen_subcommand_from create-update" -s h -l help -d 'Print help'
complete -c bodhi-cli -n "__fish_seen_subcommand_from edit-override" -l duration -d 'duration it will still be active' -r
complete -c bodhi-cli -n "__fish_seen_subcommand_from edit-override" -l notes -d 'publicly visible notes' -r
complete -c bodhi-cli -n "__fish_seen_subcommand_from edit-override" -s h -l help -d 'Print help'
complete -c bodhi-cli -n "__fish_seen_subcommand_from edit-update" -l add-bugs -d 'Add bugs to this update' -r
complete -c bodhi-cli -n "__fish_seen_subcommand_from edit-update" -l add-builds -d 'Add builds to this update' -r
complete -c bodhi-cli -n "__fish_seen_subcommand_from edit-update" -l autokarma -d 'Push to stable based on karma' -r -f -a "{true	'',false	''}"
complete -c bodhi-cli -n "__fish_seen_subcommand_from edit-update" -l autotime -d 'Push to stable based on time' -r -f -a "{true	'',false	''}"
complete -c bodhi-cli -n "__fish_seen_subcommand_from edit-update" -l close-bugs -d 'Close bugs when pushed to stable' -r -f -a "{true	'',false	''}"
complete -c bodhi-cli -n "__fish_seen_subcommand_from edit-update" -l display-name -d 'Override displayed update name' -r
complete -c bodhi-cli -n "__fish_seen_subcommand_from edit-update" -l notes -d 'Publicly visible update notes' -r
complete -c bodhi-cli -n "__fish_seen_subcommand_from edit-update" -l remove-bugs -d 'Remove bugs from this update' -r
complete -c bodhi-cli -n "__fish_seen_subcommand_from edit-update" -l remove-builds -d 'Remove builds from this update' -r
complete -c bodhi-cli -n "__fish_seen_subcommand_from edit-update" -l requirements -d 'List of required gating tests' -r
complete -c bodhi-cli -n "__fish_seen_subcommand_from edit-update" -l severity -d 'Update severity' -r
complete -c bodhi-cli -n "__fish_seen_subcommand_from edit-update" -l stable-days -d 'Days until it can be pushed to stable' -r
complete -c bodhi-cli -n "__fish_seen_subcommand_from edit-update" -l stable-karma -d 'Karma until it can be pushed to stable' -r
complete -c bodhi-cli -n "__fish_seen_subcommand_from edit-update" -l suggestion -d 'Logout / reboot suggestion' -r
complete -c bodhi-cli -n "__fish_seen_subcommand_from edit-update" -l unstable-karma -d 'Karma until it will be unpushed' -r
complete -c bodhi-cli -n "__fish_seen_subcommand_from edit-update" -l update-type -d 'Type of the update' -r
complete -c bodhi-cli -n "__fish_seen_subcommand_from edit-update" -s h -l help -d 'Print help'
complete -c bodhi-cli -n "__fish_seen_subcommand_from expire-override" -s h -l help -d 'Print help'
complete -c bodhi-cli -n "__fish_seen_subcommand_from query-overrides" -l builds -d 'Query for this build / these builds' -r
complete -c bodhi-cli -n "__fish_seen_subcommand_from query-overrides" -l expired -d 'Query for expired overrides' -r -f -a "{true	'',false	''}"
complete -c bodhi-cli -n "__fish_seen_subcommand_from query-overrides" -l format -d 'Output format (plain, JSON)' -r
complete -c bodhi-cli -n "__fish_seen_subcommand_from query-overrides" -l releases -d 'Query for this release / these releases' -r
complete -c bodhi-cli -n "__fish_seen_subcommand_from query-overrides" -l users -d 'Query for overrides submitted by these users' -r
complete -c bodhi-cli -n "__fish_seen_subcommand_from query-overrides" -s f -l force -d 'Force long-running queries'
complete -c bodhi-cli -n "__fish_seen_subcommand_from query-overrides" -s h -l help -d 'Print help'
complete -c bodhi-cli -n "__fish_seen_subcommand_from query-updates" -l alias -d 'update with this alias' -r
complete -c bodhi-cli -n "__fish_seen_subcommand_from query-updates" -l bugs -d 'updates associated with these bugs' -r
complete -c bodhi-cli -n "__fish_seen_subcommand_from query-updates" -l builds -d 'updates associated with these builds' -r
complete -c bodhi-cli -n "__fish_seen_subcommand_from query-updates" -l critpath -d 'updates for critpath packages' -r -f -a "{true	'',false	''}"
complete -c bodhi-cli -n "__fish_seen_subcommand_from query-updates" -l content-type -d 'RPM / module / flatpak updates' -r
complete -c bodhi-cli -n "__fish_seen_subcommand_from query-updates" -l format -d 'Output format (plain, JSON)' -r
complete -c bodhi-cli -n "__fish_seen_subcommand_from query-updates" -l locked -d 'locked updates' -r -f -a "{true	'',false	''}"
complete -c bodhi-cli -n "__fish_seen_subcommand_from query-updates" -l modified-before -d 'updates modified before this date' -r
complete -c bodhi-cli -n "__fish_seen_subcommand_from query-updates" -l modified-since -d 'updates modified after this date' -r
complete -c bodhi-cli -n "__fish_seen_subcommand_from query-updates" -l packages -d 'updates for these packages' -r
complete -c bodhi-cli -n "__fish_seen_subcommand_from query-updates" -l pushed -d 'pushed updates' -r -f -a "{true	'',false	''}"
complete -c bodhi-cli -n "__fish_seen_subcommand_from query-updates" -l pushed-before -d 'updates pushed before this date' -r
complete -c bodhi-cli -n "__fish_seen_subcommand_from query-updates" -l pushed-since -d 'updates pushed after this date' -r
complete -c bodhi-cli -n "__fish_seen_subcommand_from query-updates" -l releases -d 'updates for these releases' -r
complete -c bodhi-cli -n "__fish_seen_subcommand_from query-updates" -l request -d 'updates with this status request' -r
complete -c bodhi-cli -n "__fish_seen_subcommand_from query-updates" -l severity -d 'updates with this severity' -r
complete -c bodhi-cli -n "__fish_seen_subcommand_from query-updates" -l status -d 'updates with this status' -r
complete -c bodhi-cli -n "__fish_seen_subcommand_from query-updates" -l submitted-before -d 'updates submitted before this date' -r
complete -c bodhi-cli -n "__fish_seen_subcommand_from query-updates" -l submitted-since -d 'updates submitted after this date' -r
complete -c bodhi-cli -n "__fish_seen_subcommand_from query-updates" -l suggestion -d 'updates with logout / reboot suggestion' -r
complete -c bodhi-cli -n "__fish_seen_subcommand_from query-updates" -l type -d 'updates with this type' -r
complete -c bodhi-cli -n "__fish_seen_subcommand_from query-updates" -l users -d 'updates submitted by this user' -r
complete -c bodhi-cli -n "__fish_seen_subcommand_from query-updates" -s f -l force -d 'Force long-running queries'
complete -c bodhi-cli -n "__fish_seen_subcommand_from query-updates" -s h -l help -d 'Print help'
complete -c bodhi-cli -n "__fish_seen_subcommand_from release-info" -l format -d 'Output format (plain, JSON)' -r
complete -c bodhi-cli -n "__fish_seen_subcommand_from release-info" -s h -l help -d 'Print help'
complete -c bodhi-cli -n "__fish_seen_subcommand_from release-list" -l format -d 'Output format (plain, JSON)' -r
complete -c bodhi-cli -n "__fish_seen_subcommand_from release-list" -s h -l help -d 'Print help'
complete -c bodhi-cli -n "__fish_seen_subcommand_from update-request" -s h -l help -d 'Print help'
complete -c bodhi-cli -n "__fish_seen_subcommand_from waive-tests" -l tests -d 'test results to be waived (default: empty / all)' -r
complete -c bodhi-cli -n "__fish_seen_subcommand_from waive-tests" -s h -l help -d 'Print help'
